<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>

<AnchorPane prefHeight="263.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/10.0.2-internal" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controller.usuario.RegistrarEmpleadoController">
    <children>
        <VBox prefHeight="263.0" prefWidth="600.0" spacing="10.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
            <children>
                <Label alignment="CENTER" maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" text="Registrar nuevo empleado" textAlignment="RIGHT" />
                <GridPane>
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                    </columnConstraints>
                    <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                    <children>
                        <TextField fx:id="txtId" GridPane.columnIndex="1" />
                        <Label text="ID:" />
                        <Label text="Nombre Completo:" GridPane.rowIndex="1" />
                        <Label text="Contraseña:" GridPane.rowIndex="2" />
                        <TextField fx:id="txtNombreCompleto" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                        <PasswordField fx:id="txtContrasenia" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                  <Label text="Edad:" GridPane.rowIndex="3" />
                  <Label text="Genero:" GridPane.rowIndex="4" />
                  <TextField fx:id="txtEdad" GridPane.columnIndex="1" GridPane.rowIndex="3" />
                  <ComboBox fx:id="cmbGenero" prefWidth="150.0" GridPane.columnIndex="1" GridPane.rowIndex="4" />
                    </children>
                </GridPane>
                <ButtonBar prefHeight="0.0" prefWidth="600.0">
                    <buttons>
                        <Button mnemonicParsing="false" onAction="#btnRegistrarse_action" text="Registrar" />
                    </buttons>
                </ButtonBar>
            </children>
        </VBox>
    </children>


</AnchorPane>
